Saltar al contenido principal
POST
/
v1
/
config
/
contexts
/
{contextId}
/
sources
/
{sourceId}
/
field-maps
Create a field map
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/config/contexts/{contextId}/sources/{sourceId}/field-maps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "mapping": {}
}'
{
  "contextId": "<string>",
  "createdAt": "<string>",
  "id": "<string>",
  "mapping": {},
  "sourceId": "<string>",
  "updatedAt": "<string>",
  "version": 123
}

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

X-Idempotency-Key
string

Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.

See Retries and idempotency for details.

Parámetros de ruta

contextId
string
requerido

The unique identifier of the reconciliation context.

sourceId
string
requerido

The unique identifier of the reconciliation source.

Cuerpo

application/json

Field map creation payload

mapping
object
requerido

Respuesta

Successfully created field map.

The response includes the X-Idempotency-Replayed header.

If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.

See Retries and idempotency for more details.

contextId
string
createdAt
string
id
string
mapping
object
sourceId
string
updatedAt
string
version
integer